import { request } from '@/service/request';

/** 获取专业标签列表 */
export function fetchGetSchoolMajorTagList(params?: Api.Art.SchoolMajorTagSearchParams) {
  return request<Api.Art.SchoolMajorTagList>({
    url: '/art/schoolMajorTag/list',
    method: 'get',
    params
  });
}
/** 新增专业标签 */
export function fetchCreateSchoolMajorTag(data: Api.Art.SchoolMajorTagOperateParams) {
  return request<boolean>({
    url: '/art/schoolMajorTag',
    method: 'post',
    data
  });
}

/** 修改专业标签 */
export function fetchUpdateSchoolMajorTag(data: Api.Art.SchoolMajorTagOperateParams) {
  return request<boolean>({
    url: '/art/schoolMajorTag',
    method: 'put',
    data
  });
}

/** 批量删除专业标签 */
export function fetchBatchDeleteSchoolMajorTag(majorTagIds: CommonType.IdType[]) {
  return request<boolean>({
    url: `/art/schoolMajorTag/${majorTagIds.join(',')}`,
    method: 'delete'
  });
}
